Skip to main content
GET
/
server
/
applications
/
{applicationId}
/
responses
Get application responses
curl --request GET \
  --url https://api.melonly.xyz/api/v1/server/applications/{applicationId}/responses \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.melonly.xyz/api/v1/server/applications/{applicationId}/responses"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.melonly.xyz/api/v1/server/applications/{applicationId}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "answers": {},
      "applicationId": "<string>",
      "comments": {},
      "createdAt": 123,
      "finalizedAt": 123,
      "finalizedBy": "<string>",
      "flagged": {},
      "id": "<string>",
      "reason": "<string>",
      "reviewedAt": 123,
      "reviewedBy": "<string>",
      "robloxId": "<string>",
      "stagingStatus": 123,
      "status": 123,
      "userId": "<string>"
    }
  ],
  "page": 1,
  "pageSize": 10,
  "total": 100,
  "totalPages": 10
}
{
"error": "invalid request parameters"
}
{
"error": "authorization header is required"
}
{
"error": "internal server error"
}

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and the API token.

Path Parameters

applicationId
string
required

Application ID

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:10

Items per page

Required range: 1 <= x <= 100

Response

successfully retrieved paginated application responses

data
object[]
page
integer
Example:

1

pageSize
integer
Example:

10

total
integer
Example:

100

totalPages
integer
Example:

10